=== debian/control ===
Source: gregorio
Section: x11
Priority: optional
Maintainer: Elie Roux <elie.roux@telecom-bretagne.eu>
Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9), dh-autoreconf, autotools-dev, libxml2-dev, flex, bison, docbook-to-man, xsltproc, libltdl7-dev, tex-common, docbook-xsl, autopoint, python-fontforge
Standards-Version: 3.9.4.0
Homepage: http://home.gna.org/gregorio
Vcs-Browser: http://svn.gna.org/viewcvs/gregorio/
Vcs-Svn: svn://svn.gna.org/svn/gregorio

Package: gregorio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gregoriotex
Description: command-line tool to typeset Gregorian chant
 Gregorio is a project with a lot of functionalities. The main interest is gabc,
 a very simple and fast language to describe a Gregorian chant score.
 The project is for now a command-line tool to convert gabc files into real
 score, like for example OpusTeX or GregorioTeX. But it also handles a XML
 format: GregorioXML.  You can use the tool to read or write gabc and
 GregorioXML, and to write OpusTeX and GregorioTeX.

Package: gregoriotex
Architecture: all
Depends: luatex, texlive-luatex, ${misc:Depends}
Recommends: gregorio
Description: LuaTeX style for Gregorian chant scores
 GregorioTeX is a LuaTeX style for writing Gregorian chant scores.
 The code to write for a score is quite complex and should be written directly
 by the gregorio software.
