=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

deb:
	debuild -i

config.status:
	dh_testdir
	dh_autoreconf
	dh_auto_configure -- --enable-all-static --enable-xml-read

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	xsltproc --nonet /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl debian/manpage.xml
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_auto_clean
	dh_autoreconf_clean
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-aux/config.sub
	rm -f build-aux/config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/gregorio install
#	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/gregorio -name '*.la'`

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installexamples -i examples/*.tex examples/PopulusSion.gabc
	dh_installtex -pgregoriotex -i
	dh_install -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installexamples -i examples/PopulusSion.gabc
	dh_lintian -a
	dh_installman -a gregorio.1
	dh_installdocs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

%:
	dh $@ --with tex --with autoreconf --with autotools-dev

.PHONY: build clean binary-indep binary-arch binary install
